Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-build-python3
BuildRequires: python-module-setuptools python3-module-setuptools
# END SourceDeps(oneline)
# MAD is optional
%filter_from_requires /^python3.mad./d
%define oldname python-acoustid
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global oname   pyacoustid

Summary:        Python bindings for Chromaprint acoustic fingerprinting and the Acoustid API
Name:           python-module-acoustid
Version:        1.1.5
Release:        alt1_8
License:        MIT
URL:            http://pypi.python.org/pypi/pyacoustid
Source0:        https://files.pythonhosted.org/packages/source/p/%{oname}/%{oname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python3-devel
Source44: import.info

%description
Chromaprint and its associated Acoustid Web service make up a
high-quality, open-source acoustic fingerprinting system. This package
provides Python bindings for both the fingerprinting algorithm
library, which is written in C but portable, and the Web service,
which provides fingerprint look ups.

%package -n python3-module-acoustid
Group: Other
Summary:       Python bindings for Chromaprint acoustic fingerprinting and the Acoustid API
Requires:      libchromaprint1
Requires:      python3-module-audioread
%{?python_provide:%python_provide python3-acoustid}
%description -n python3-module-acoustid
Chromaprint and its associated Acoustid Web service make up a
high-quality, open-source acoustic fingerprinting system. This package
provides Python bindings for both the fingerprinting algorithm
library, which is written in C but portable, and the Web service,
which provides fingerprint look ups.

%prep
%setup -q -n %{oname}-%{version}

%build
%python_build
%python3_build

%install
%python_install
%python3_install

%files -n python-module-acoustid
%doc README.rst aidmatch.py fpcalc.py
%{python_sitelibdir_noarch}/acoustid.py*
%{python_sitelibdir_noarch}/chromaprint.py*
%{python_sitelibdir_noarch}/pyacoustid-%{version}-*.egg-info/

%files -n python3-module-acoustid
%doc README.rst aidmatch.py fpcalc.py
%{python3_sitelibdir_noarch}/acoustid.py
%{python3_sitelibdir_noarch}/chromaprint.py
%{python3_sitelibdir_noarch}/pyacoustid-%{version}-*.egg-info/
%{python3_sitelibdir_noarch}/__pycache__/acoustid.*.py*
%{python3_sitelibdir_noarch}/__pycache__/chromaprint.*.py*

%changelog
* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 1.1.5-alt1_8
- update to new release by fcimport

* Mon Dec 17 2018 Igor Vlasenko <viy@altlinux.ru> 1.1.5-alt1_7
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 1.1.5-alt1_6
- update to new release by fcimport

* Sun Jul 15 2018 Igor Vlasenko <viy@altlinux.ru> 1.1.5-alt1_5
- update to new release by fcimport

* Tue Jun 19 2018 Igor Vlasenko <viy@altlinux.ru> 1.1.5-alt1_4
- new version

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 0.7-alt1_7
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.7-alt1_6
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.7-alt1_5
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.7-alt1_4
- update to new release by fcimport

* Wed Jan 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.7-alt1_3
- initial fc import

